from sqlalchemy import Column, Integer, String
from sqlalchemy.orm import declarative_base

Base = declarative_base()


class SignalType(Base):
    __tablename__ = "SignalType"

    ID = Column(Integer, primary_key=True)
    Name = Column(String(200), nullable=False)
    Acronym = Column(String(4), nullable=False)
    Suffix = Column(String(2), nullable=False)
    Abbreviation = Column(String(2), nullable=False)
    LongAcronym = Column(String(200), nullable=False)
    Source = Column(String(10), nullable=False)
    EngineeringUnits = Column(String(10))
